doctype html
html(lang='en')
    head
        title Licenciamento - Mato Grosso do Sul
        link(rel="stylesheet" href="${templatePath}/style/estilo.css")
        meta(charset='UTF-8')
    body
        table
            // Template inicial para simular o grid de colunas
            tr.estrutura
                td(style='width: 10%')
                td(style='width: 10%')
                td(style='width: 10%')
                td(style='width: 10%')
                td(style='width: 10%')
                td(style='width: 10%')
                td(style='width: 10%')
                td(style='width: 10%')
                td(style='width: 10%')
                td(style='width: 10%')

            tr
                td(colspan='10') 1. IDENTIFICAÇÃO DO REQUERENTE

            tr
                td(colspan='10')
                    | RAZÃO SOCIAL/NOME: ${licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.tipo.codigo == 0  ? licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.nome : licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.razaoSocial}

            tr
                td(colspan='6')
                    | INSCRIÇÃO ESTADUAL/RG: ${licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.tipo.codigo == 0  ? licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.rg ? licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.rg.numero : '-' : licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.inscricaoEstadual}

                td(colspan='4')
                    | CNPJ/CPF: ${licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.tipo.codigo == 0  ? utils.LicenciamentoUtils.formatarCpf(licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.cpf) : utils.LicenciamentoUtils.formatarCnpj(licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.cnpj)}

            tr
                | \#{if enderecoPrincipal.zonaLocalizacao.nome == "URBANA"}
                td(colspan='10')
                    | ENDEREÇO COMPLETO: ${enderecoCompleto}
                | \#{/if}

                | \#{if enderecoPrincipal.zonaLocalizacao.nome == "RURAL"}
                td(colspan='10')
                    | ENDEREÇO COMPLETO: Zona rural
                | \#{/if}

            tr
                td(colspan='6')
                    | MUNICÍPIO: ${enderecoPrincipal.municipio.nome}

                td(colspan='2')
                    | UF: ${enderecoPrincipal.municipio.estado.nome}

                td(colspan='2') CEP: ${enderecoPrincipal.cep ? utils.LicenciamentoUtils.formatarCep(enderecoPrincipal.cep.toString()) : '-'}

            tr
                td(colspan='10')
                    | TELEFONE PARA CONTATO: ${telefone ? telefone : "-"}

            tr

                td(colspan='10')
                    span COORDENADAS DO EMPREENDIMENTO:
                    li
                        | \#{if geometry.getCoordinates().length == 1}
                        tr.table-coordenadas-no-border
                            th Ponto
                            th Latitude
                            th Longitude
                        tr.table-coordenadas-no-border
                            th.table-coordenadas-no-border P-1
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLatitudeString(geometry.getCoordinates()[0].y)}
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLongitudeString(geometry.getCoordinates()[0].x)}
                        | \#{/if}
                        | \#{else}
                        tr.table-coordenadas-no-border
                            th Ponto
                            th Latitude
                            th Longitude
                            th Ponto
                            th Latitude
                            th Longitude
                        | \#{list items:0..geometry.getCoordinates().length -2, as: 'coordenadas'}
                        | \#{if coordenadas % 2 == 0}
                        tr
                            th.table-coordenadas-no-border P-${coordenadas +1}
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLatitudeString(geometry.getCoordinates()[coordenadas].y)}
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLongitudeString(geometry.getCoordinates()[coordenadas].x)}
                            | \#{if coordenadas+1 != geometry.getCoordinates().length -1}
                            th.table-coordenadas-no-border P-${coordenadas +2}
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLatitudeString(geometry.getCoordinates()[coordenadas+1].y) != null ? utils.CoordenadasUtil.formataLatitudeString(geometry.getCoordinates()[coordenadas+1].y) : '-'}
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLongitudeString(geometry.getCoordinates()[coordenadas+1].x) != null ? utils.CoordenadasUtil.formataLongitudeString(geometry.getCoordinates()[coordenadas+1].x) : '-' }
                            | \#{/if}
                        | \#{/if}
                        | \#{/list}
                        | \#{/else}

            tr
                td(colspan='10') 2. IDENTIFICAÇÃO DO EMPREENDIMENTO/ATIVIDADE OU OBRA LICENCIADA

            | \#{list items:licenca.caracterizacao.atividadesCaracterizacao, as:'atividadeCaracterizacao' }

            tr
                td(colspan='10') TIPOLOGIA: ${atividadeCaracterizacao.atividade.tipologia.nome}

            tr
                td(colspan='10') ATIVIDADE: ${atividadeCaracterizacao.atividade.nome}

            | \#{if atividadeCaracterizacao.atividade.observacoes != null}
            tr
                td(colspan='10')
                    | OBSERVAÇÃO: ${atividadeCaracterizacao.atividade.observacoes}
            | \#{/if}

            | \#{/list}

            tr
                td(colspan="10")
                    b ATIVIDADE(S) LICENCIADA(S):
                    .text-center
                        ul
                            | \#{list items:licenca.caracterizacao.atividadesCaracterizacao, as:'atividadeCaracterizacao' }
                            li.cell-spacing ${atividadeCaracterizacao.atividade.codigo ? atividadeCaracterizacao.atividade.codigo : ''} - ${atividadeCaracterizacao.atividade.nome}
                            | \#{/list}
            tr
                td(colspan="10")
                    b VALOR AUTORIZADO:
                    .text-center
                        ul
                        | \#{list items:licenca.caracterizacao.atividadesCaracterizacao, as:'atividadeCaracterizacao' }
                        li.cell-spacing ${atividadeCaracterizacao.atividade.codigo ? atividadeCaracterizacao.atividade.codigo : ''} - ${atividadeCaracterizacao.atividade.nome}
                        span.row
                            | \#{list items:atividadeCaracterizacao.atividadeCaracterizacaoParametros, as:'atividadeCaracterizacaoParametro' }
                            li ${atividadeCaracterizacaoParametro.parametroAtividade.codigo} : ${atividadeCaracterizacaoParametro.parametroAtividade.descricao} - <strong>${atividadeCaracterizacaoParametro.valorParametro}</strong>
                            | \#{/list}
                            | \#{/list}

            tr
                td(colspan="5")
                    ul
                        | \#{list items:licenca.caracterizacao.atividadesCaracterizacao, as:'atividadeCaracterizacao' }
                        li.cell-spacing Potencial Poluidor/Degradador: ${atividadeCaracterizacao.atividade.potencialPoluidor.valorPpd}
                        | \#{/list}
                td(colspan="5")
                    ul
                        | \#{list items:licenca.caracterizacao.atividadesCaracterizacao, as:'atividadeCaracterizacao' }
                        li.cell-spacing Porte: ${atividadeCaracterizacao.porteEmpreendimento.nome}
                        | \#{/list}

            tr
                td(colspan='10')
                    b LOCALIZAÇÃO DA(S) ATIVIDADE(S) LICENCIADA(S):
                    table
                        | \#{if licenca.caracterizacao.isComplexo()}
                        li.cell-spacing ${nome}
                            tr.table-coordenadas-no-border
                                th Ponto
                                th Latitude
                                th Longitude
                                th Ponto
                                th Latitude
                                th Longitude
                        | \#{list items:licenca.caracterizacao.geometriasComplexo, as:'geometriaComplexo'}
                        | \#{list items:0..geometriaComplexo.geometria.getCoordinates().length -2, as:'coordenadas'}
                        | \#{if coordenadas % 2 == 0}
                        tr
                            th.table-coordenadas-no-border P-${coordenadas +1}
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLatitudeString(geometriaComplexo.geometria.getCoordinates()[coordenadas].y)}
                            th.table-coordenadas ${utils.CoordenadasUtil.formataLongitudeString(geometriaComplexo.geometria.getCoordinates()[coordenadas].x)}
                            | \#{if coordenadas+1 != geometriaComplexo.geometria.getCoordinates().length -1}
                            th.table-coordenadas-no-border P-${coordenadas +2}
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLatitudeString(geometriaComplexo.geometria.getCoordinates()[coordenadas+1].y) != null ? utils.CoordenadasUtil.formataLatitudeString(geometriaComplexo.geometria.getCoordinates()[coordenadas+1].y) : '-'}
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLongitudeString(geometriaComplexo.geometria.getCoordinates()[coordenadas+1].x) != null ? utils.CoordenadasUtil.formataLongitudeString(geometriaComplexo.geometria.getCoordinates()[coordenadas+1].x) : '-' }
                            | \#{/if}
                        | \#{/if}
                        | \#{/list}
                        | \#{/list}
                        | \#{/if}
                        | \#{else}
                        | \#{list items:licenca.caracterizacao.atividadesCaracterizacao, as:'atividadeCaracterizacao'}
                        li.cell-spacing.bottom-padding ${atividadeCaracterizacao.getNomeAtividade()}
                            br.bottom-padding
                            tr.table-coordenadas.cell-spacing
                                th Ponto
                                th Latitude
                                th Longitude
                                th Ponto
                                th Latitude
                                th Longitude
                        | \#{list items:atividadeCaracterizacao.geometriasAtividade, as:'geometriaAtividade'}
                        | \#{list items:0..geometriaAtividade.geometria.getCoordinates().length -2, as: 'coordenadas'}
                        | \#{if coordenadas % 2 == 0}
                        tr
                            th.table-coordenadas-no-border P-${coordenadas +1}
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLatitudeString(geometriaAtividade.geometria.getCoordinates()[coordenadas].y)}
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLongitudeString(geometriaAtividade.geometria.getCoordinates()[coordenadas].x)}
                            | \#{if coordenadas+1 != geometriaAtividade.geometria.getCoordinates().length -1}
                            th.table-coordenadas-no-border P-${coordenadas +2}
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLatitudeString(geometriaAtividade.geometria.getCoordinates()[coordenadas+1].y) != null ? utils.CoordenadasUtil.formataLatitudeString(geometriaAtividade.geometria.getCoordinates()[coordenadas+1].y) : '-'}
                            th.table-coordenadas-no-border ${utils.CoordenadasUtil.formataLongitudeString(geometriaAtividade.geometria.getCoordinates()[coordenadas+1].x) != null ? utils.CoordenadasUtil.formataLongitudeString(geometriaAtividade.geometria.getCoordinates()[coordenadas+1].x) : '-' }
                            | \#{/if}
                        | \#{/if}
                        | \#{/list}
                        | \#{/list}
                        | \#{/list}
                        | \#{/else}

            tr
                td(colspan='10')
                    b RESTRIÇÕES E/OU CONDIÇÕES DE VALIDADE DESTA LICENÇA - CA Nº ${licenca.numero}

                    ol.lower-alpha
                        li
                            | O pedido de licenciamento e a respectiva concessão da mesma, só terá validade quando publicada Diário Oficial do Estado, periódico regional local ou local de grande circulação, em 						meio eletrônico de comunicação mantido pelo IMASUL, ou nos murais das Prefeituras e 						Câmaras Municipais;

                        li
                            | A solicitação da renovação da Licença Ambiental deverá ser requerida num prazo mínimo de 120 dias, antes do vencimento;

                        li
                            | A presente licença está sendo concedida com base nas informações constantes no processo nº.${licenca.caracterizacao.processo.numero}.

                        li
                            | Toda e qualquer modificação introduzida no projeto após a emissão da Licença implicará na sua automática invalidação, devendo ser solicitada nova Licença, com ônus para o interessado.

                        li
                            | Esta licença é válida apenas para a localização, atividade e finalidade constante na mesma, devendo o interessado requerer ao IMASUL nova Licença quando houver mudança de qualquer um destes itens.

                        li
                            | Esta licença não dispensa e nem substitui nenhum documento exigido pela Legislação Federal, Estadual e Municipal.

                        li
                            | A coleta e o transporte dos resíduos de qualquer natureza gerados no empreendimento devem ser efetuados por empresa licenciada para esta atividade.

                        li
                            | Na eventualidade de ocorrência de vazamento de combustíveis ou sinistros nas instalações físicas do empreendimento, adotar procedimentos constantes no Plano de Emergência Individual - PEI, e encaminhar imediatamente relatório circunstanciado do evento ao IMASUL.

                        //- | \#{if parecer != null && parecer.condicionantes!= null && !parecer.condicionantes.isEmpty()}
                        //- | \#{list items:parecer.condicionantes, as:'condicionante'}
                        //- li
                        //-     span ${condicionante.texto}
                        //-     br
                        //-     span Prazo para atendimento de ${condicionante.prazo} dias.
                        //- | \#{/list}
                        //- | \#{/if}
                        //- | \#{if parecer != null && parecer.restricoes != null && !parecer.restricoes.isEmpty()}
                        //- | \#{list items:parecer.restricoes, as:'restricao'}
                        //- li
                        //-     span ${restricao.texto}
                        //- | \#{/list}
                        //- | \#{/if}

            tr.titulo
                td.text-center(colspan='10') RESPONSÁVEL PELAS INFORMAÇÕES: ${licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.tipo.codigo == 0  ? licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.nome : licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.razaoSocial}

            tr.titulo
                td.text-center(colspan='6') RG/INSCRIÇÃO ESTADUAL: ${licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.tipo.codigo == 0  ? licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.rg ? licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.rg.numero : '-' : (licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.inscricaoEstadual ? licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.inscricaoEstadual : '-')}
                td.text-center(colspan='4') CPF/CNPJ: ${licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.tipo.codigo == 0  ? utils.LicenciamentoUtils.formatarCpf(licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.cpf) : utils.LicenciamentoUtils.formatarCnpj(licenca.caracterizacao.empreendimento.empreendimentoEU.pessoa.cnpj) }

            tr
                td(colspan='10')
                    u OBRIGAÇÕES:
                    ul
                        li Solicitar a Licença subsequente/renovação com antecedência mínima de 120 (cento e vinte) dias do prazo do término de sua vigência;
                        li Comunicar de imediato a esta Secretaria qualquer alteração nas informações que subsidiaram a sua concessão;
                        li Dar cumprimento às condicionantes constantes no verso deste documento (Anexo I).

            tr
                td(colspan="2")
                    | LOCAL E DATA:
                td(colspan="8")
                    h5.pull-right Campo Grande - MS, ${utils.DateUtilLicenciamento.formatarMesMinusculo(new Date())}

            tr.text-center.quebra-pagina
                td.transparent-cell(colspan='10')
                    img.qrcode(src="${qrcode}")
